petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerStringOpen

Opens a string as a PetscViewer. This is a very simple PetscViewer; information on the object is simply stored into the string in a fairly nice way.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscViewerStringOpen(MPI_Comm comm,char string[],size_t len,PetscViewer *lab)

Collective on MPI_Comm

### Input Parameters

| comm | - the communicator
| string | - the string to use
| len | - the string length

### Output Parameter

lab -the PetscViewer

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscViewerDestroy(), PetscViewerStringSPrintf()

### Level

advanced

### Location

src/sys/classes/viewer/impls/string/stringv.c

### Examples

src/ksp/ksp/examples/tutorials/ex72.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages